"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.notFoundError = exports.HTTP404Error = exports.HTTP400Error = void 0;
const __1 = require("../..");
const HTTPClientError_1 = require("./HTTPClientError");
class HTTP400Error extends HTTPClientError_1.HTTPClientError {
    constructor(messageOrErrors = __1.ErrorDescription.BadRequest, code = __1.ErrorCode.BadRequest) {
        if (messageOrErrors instanceof Array) {
            super(__1.ErrorDescription.BadRequest, code, __1.HttpStatusCode.BadRequest, messageOrErrors);
        }
        else {
            super(messageOrErrors, code, __1.HttpStatusCode.BadRequest);
        }
    }
}
exports.HTTP400Error = HTTP400Error;
class HTTP404Error extends HTTPClientError_1.HTTPClientError {
    constructor(message = __1.ErrorDescription.NotFound, code = __1.ErrorCode.NotFound) {
        super(message, code, __1.HttpStatusCode.NotFound);
    }
}
exports.HTTP404Error = HTTP404Error;
exports.notFoundError = () => {
    throw new HTTP404Error();
};
//# sourceMappingURL=HTTP4XXError.js.map