"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HTTPClientError = void 0;
const uuid_1 = require("uuid");
class HTTPClientError extends Error {
    constructor(message, code, statusCode, errors) {
        super(message);
        this.id = uuid_1.v1();
        this.code = code;
        this.status = statusCode;
        this.message = message;
        this.errors = errors;
        Error.captureStackTrace(this, this.constructor);
    }
}
exports.HTTPClientError = HTTPClientError;
//# sourceMappingURL=HTTPClientError.js.map