export interface Mapping {
    label: string;
    value: unknown;
}
export interface MapperConfig {
    [key: string]: Mapping[];
}
export interface Mapper<T extends MapperConfig, M extends keyof T> {
    mapToLabel(key: M, value?: unknown): string;
    mapToValue(key: M, value?: string): unknown;
}
export declare const createMapper: <T extends MapperConfig, M extends keyof T>(mapperConfig: T) => Mapper<T, M>;
